"use strict";
// Global colour names that correspond to https://www.theguardian.design/2a1e5182b/p/938810-colour/b/587ef3
//
// As a general rule, avoid using these directly in your application. Prefer the context
// specific colours:
//
// - background.ts
// - border.ts
// - line.ts
// - text.ts
//
// Why?
// 1) Using context-specific colours ensures your application's colour usage is consistent with
// the Guardian's visual language.
// 2) The higher level of abstraction provided. This means that
// changes to colours at the theme level, or changes to global colours names, are less likely to
// have a large impact on your application.
// 3) Context-specific colours are tested and provide better accessibility guarantees.
//
// If a context-specific colour is not available for your use case, consider raising a pull
// request to add it, rather than consuming the global colour.
Object.defineProperty(exports, "__esModule", { value: true });
exports.specialReport = exports.labs = exports.lifestyle = exports.culture = exports.sport = exports.opinion = exports.news = exports.success = exports.error = exports.neutral = exports.brandAlt = exports.brand = void 0;
const theme_1 = require("../theme");
exports.brand = {
    100: theme_1.colors.blues[7],
    300: theme_1.colors.blues[8],
    400: theme_1.colors.blues[9],
    500: theme_1.colors.blues[10],
    600: theme_1.colors.blues[11],
    800: theme_1.colors.blues[12],
};
exports.brandAlt = {
    200: theme_1.colors.yellows[0],
    300: theme_1.colors.yellows[1],
    400: theme_1.colors.yellows[2],
};
exports.neutral = {
    0: theme_1.colors.grays[0],
    7: theme_1.colors.grays[1],
    10: theme_1.colors.grays[2],
    20: theme_1.colors.grays[3],
    46: theme_1.colors.grays[4],
    60: theme_1.colors.grays[5],
    86: theme_1.colors.grays[6],
    93: theme_1.colors.grays[7],
    97: theme_1.colors.grays[8],
    100: theme_1.colors.grays[9],
};
exports.error = {
    400: theme_1.colors.reds[3],
    500: theme_1.colors.reds[5],
};
exports.success = {
    400: theme_1.colors.greens[1],
    500: theme_1.colors.greens[2],
};
exports.news = {
    100: theme_1.colors.reds[0],
    200: theme_1.colors.reds[1],
    300: theme_1.colors.reds[2],
    400: theme_1.colors.reds[3],
    500: theme_1.colors.reds[4],
    550: theme_1.colors.reds[5],
    600: theme_1.colors.reds[6],
    800: theme_1.colors.reds[7],
};
exports.opinion = {
    100: theme_1.colors.oranges[0],
    200: theme_1.colors.oranges[1],
    300: theme_1.colors.oranges[2],
    400: theme_1.colors.oranges[3],
    500: theme_1.colors.oranges[4],
    600: theme_1.colors.oranges[5],
    800: theme_1.colors.oranges[6],
};
exports.sport = {
    100: theme_1.colors.blues[0],
    200: theme_1.colors.blues[1],
    300: theme_1.colors.blues[2],
    400: theme_1.colors.blues[3],
    500: theme_1.colors.blues[4],
    600: theme_1.colors.blues[5],
    800: theme_1.colors.blues[6],
};
exports.culture = {
    50: theme_1.colors.browns[0],
    100: theme_1.colors.browns[1],
    200: theme_1.colors.browns[2],
    300: theme_1.colors.browns[3],
    400: theme_1.colors.browns[4],
    500: theme_1.colors.browns[5],
    600: theme_1.colors.browns[6],
    700: theme_1.colors.browns[7],
    800: theme_1.colors.browns[8],
};
exports.lifestyle = {
    100: theme_1.colors.pinks[0],
    200: theme_1.colors.pinks[1],
    300: theme_1.colors.pinks[2],
    400: theme_1.colors.pinks[3],
    500: theme_1.colors.pinks[4],
    600: theme_1.colors.pinks[5],
    800: theme_1.colors.pinks[6],
};
exports.labs = {
    200: theme_1.colors.greens[3],
    300: theme_1.colors.greens[4],
    400: theme_1.colors.greens[5],
};
exports.specialReport = {
    100: theme_1.colors.grays[10],
    200: theme_1.colors.grays[11],
    300: theme_1.colors.grays[12],
    400: theme_1.colors.grays[13],
    450: theme_1.colors.grays[14],
    500: theme_1.colors.grays[15],
    700: theme_1.colors.grays[16],
    800: theme_1.colors.grays[17],
};
//# sourceMappingURL=global.js.map