"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lineHeights = exports.fontWeights = exports.fonts = exports.remTextSansSizes = exports.remBodySizes = exports.remHeadlineSizes = exports.remTitlepieceSizes = exports.textSansSizes = exports.bodySizes = exports.headlineSizes = exports.titlepieceSizes = exports.textSans = exports.body = exports.headline = exports.titlepiece = void 0;
const api_1 = require("./api");
const object_styles_to_string_1 = require("./object-styles-to-string");
const data_1 = require("./data");
Object.defineProperty(exports, "titlepieceSizes", { enumerable: true, get: function () { return data_1.titlepieceSizes; } });
Object.defineProperty(exports, "headlineSizes", { enumerable: true, get: function () { return data_1.headlineSizes; } });
Object.defineProperty(exports, "bodySizes", { enumerable: true, get: function () { return data_1.bodySizes; } });
Object.defineProperty(exports, "textSansSizes", { enumerable: true, get: function () { return data_1.textSansSizes; } });
Object.defineProperty(exports, "remTitlepieceSizes", { enumerable: true, get: function () { return data_1.remTitlepieceSizes; } });
Object.defineProperty(exports, "remHeadlineSizes", { enumerable: true, get: function () { return data_1.remHeadlineSizes; } });
Object.defineProperty(exports, "remBodySizes", { enumerable: true, get: function () { return data_1.remBodySizes; } });
Object.defineProperty(exports, "remTextSansSizes", { enumerable: true, get: function () { return data_1.remTextSansSizes; } });
Object.defineProperty(exports, "fonts", { enumerable: true, get: function () { return data_1.fontMapping; } });
Object.defineProperty(exports, "fontWeights", { enumerable: true, get: function () { return data_1.fontWeightMapping; } });
Object.defineProperty(exports, "lineHeights", { enumerable: true, get: function () { return data_1.lineHeightMapping; } });
const fromEntries = (entries) => entries.reduce((acc, [key, value]) => {
    acc[key] = value;
    return acc;
}, {});
const titlepiece = fromEntries(Object.entries(api_1.titlepiece).map(([key, func]) => {
    return [
        key,
        (options) => object_styles_to_string_1.objectStylesToString(func(options)),
    ];
}));
exports.titlepiece = titlepiece;
const headline = fromEntries(Object.entries(api_1.headline).map(([key, func]) => {
    return [
        key,
        (options) => object_styles_to_string_1.objectStylesToString(func(options)),
    ];
}));
exports.headline = headline;
const body = fromEntries(Object.entries(api_1.body).map(([key, func]) => {
    return [
        key,
        (options) => object_styles_to_string_1.objectStylesToString(func(options)),
    ];
}));
exports.body = body;
const textSans = fromEntries(Object.entries(api_1.textSans).map(([key, func]) => {
    return [
        key,
        (options) => object_styles_to_string_1.objectStylesToString(func(options)),
    ];
}));
exports.textSans = textSans;
//# sourceMappingURL=index.js.map